# Changed by Makefile of cvs.
# Please change this file only in cvs!

%define version 1.2.1
%define name userdrake

Summary:	A graphical interface for administering users and groups
Name:		%{name}
Version:	%{version}
Release:	2mdk
#cvs source
# http://www.linuxmandrake.com/en/cvs.php3
Source0:	%{name}-%{version}.tar.bz2
URL:		http://people.mandrakesoft.com/~daouda/mandrake/userdrake.html
License:	GPL
Packager:	Daouda Lo <daouda@mandrakesoft.com>
Group:		System/Configuration/Other
Requires:	drakxtools >= 9.2-0.15mdk, perl-Gtk2 >= 0.26.cvs.2003.07.09.1-2mdk, libuser >= 0.51.7-5mdk
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:  gettext perl-devel libuser-devel libglib2.0-devel pam-devel

%description
Userdrake is a user-friendly and powerful tool for administrating users and 
groups. It depends on the libuser library. 

%prep
%setup -q
		
%build
cd USER
%{__perl} Makefile.PL INSTALLDIRS=vendor 
make OPTIMIZE="$RPM_OPT_FLAGS -w" 

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT install 

cd USER
%makeinstall_std
cd ..

#install lang
%{find_lang} userdrake

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%{name}):\ 
needs="x11" \
icon="userdrake.png" \
section="Configuration/Other" \
title="User Administration" \
longtitle="Add or remove users and groups" \
command="/usr/sbin/userdrake"
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files -f userdrake.lang
%defattr(-,root,root)
%doc README COPYING RELEASE_NOTES
%config(noreplace) %{_sysconfdir}/sysconfig/userdrake
%{_prefix}/bin/*
%{_prefix}/sbin/*
%{_datadir}/userdrake
%{_mandir}/man3/USER*
%{_menudir}/%{name}
%{perl_vendorarch}/USER.pm
%{perl_vendorarch}/auto/USER
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png

%changelog
* Tue Mar  8 2005 Daouda LO <daouda@mandrakesoft.com> 1.2.1-2mdk
- wrap an eval around sensitive home deletion
- home deletion option grayed when deletion might be dangerous (#11453)
- do not use absolute path to Mdk icons (oblin)
- leak patch for extra safefree((char*)self) in XS file (Francois Desarmenien)
- i18n updates

* Mon Feb 21 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.1-1mdk
- translation updates

* Wed Jan 26 2005 Daouda LO <daouda@mandrakesoft.com> 1.2-3mdk
- fix 'About' dialog crash 
- cleanups

* Fri Jan 21 2005 Daouda LO <daouda@mandrakesoft.com> 1.2-2mdk
- main loop fixed 
- rebuild against new perl (XS)

* Wed Jan 12 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2-1mdk
- fix crash when embedded
- show banner when embedded

* Tue Nov 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1-4mdk
- rebuild for new perl

* Mon Oct 04 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.1-3mdk
- rebuild

* Mon Oct 04 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 1.1-2mdk
- updated translations

* Mon Jul 19 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1-1mdk
- Daouda: restore mouse cursor in sub dialogs
- Olivier Blin:
  o do not crash in Delete when user is in non-existing group (#10242)
  o stop the add process if an error happened when adding a user
  o do not die when removing a non existent directory, just warn (#10241)
  o fix dialogs (#10246):
    * do not quit the whole program on success,
    * wait for the answer to really return the choice made by the user
  o really handle the group choice made by the user
- Thierry Vignaud:
  o get rid of stock icons
  o fix button layouts in dialogs
  o set window icon

* Wed May 26 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-3mdk
- right mouse click on Treeview items to access menu (Edit, Delete)
- don't allow more than 16 char to be consistent with groupadd (tvignaud)

* Mon May 10 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-2mdk
- use md5sum to find current face icon (Oliver Blin) - #9653

* Mon May 10 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-1mdk
- bumped to 1.0 (stable enough)
- random icon display and icon browsing fixes #8085 - #9653 (Olivier
  Blin)

* Thu Feb 26 2004 Daouda LO <daouda@mandrakesoft.com> 0.92-30mdk
- new pixmaps
- po updates

* Mon Feb  2 2004 Daouda LO <daouda@mandrakesoft.com> 0.92-29mdk
- Replace Option Menu by Combo box to choose shells manually
- reorder fullname and login entries
- Changes faces (jarillon request)
- revert LastBranch Menu

* Thu Jan 22 2004 Daouda LO <daouda@mandrakesoft.com> 0.92-28mdk
- Replace Option Menu by Combo box to choose shells manually

* Wed Jan 21 2004 Daouda LO <daouda@mandrakesoft.com> 0.92-27mdk
- rebuild for new POs
- add drakuser symlink

* Mon Dec 22 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.92-26mdk
- rebuild for new drakxtools due to latest rpm policy regarding perl
  dependancies

* Fri Nov 28 2003 Daouda LO <daouda@mandrakesoft.com> 0.92-25mdk
- spec cleanup
- fix userdrake removehome hangs
- perl checker compliance
- BuildRequires (Stephan)

* Wed Sep 17 2003 Daouda LO <daouda@mandrakesoft.com> 0.92-24mdk
- fix crash when a user lost accidentally its primary group (Titi)
- fix long translation in french (#5696)
- po updates

* Fri Sep 12 2003 Daouda LO <daouda@mandrakesoft.com> 0.92-22mdk
- fix unpredictable deselection of primary group when editing user (qateam)
- fix typo when adding group (Arpad Biro)
- po updates
- drakhelp new schema
- gtkset_mousecursor_normal() when adding/deleting user/group

* Mon Aug 25 2003 Daouda LO <daouda@mandrakesoft.com> 0.92-21mdk
- fix explanation call (titi)

* Fri Aug 22 2003 Daouda LO <daouda@mandrakesoft.com> 0.92-20mdk
- made it lib64 aware
- replaced truncated and blurred icons

* Wed Aug 20 2003 Daouda LO <daouda@mandrakesoft.com> 0.92-19mdk
- add splash screen when starting userdrake
- Explanations
- cosmetics (about dialog)

* Tue Aug 19 2003 Daouda LO <daouda@mandrakesoft.com> 0.92-18mdk
- add LN brand new icons
- add label to filter group widget (titi)

* Mon Aug 18 2003 Daouda LO <daouda@mandrakesoft.com> 0.92-17mdk
- small changes to follow any.pm api (#4793).
- string fixes (Pablo and Co)

* Mon Aug  4 2003 Daouda LO <daouda@mandrakesoft.com> 0.92-16mdk
- Release for beta2
		o remove help from toolbar (UI team request)
		o sort columns feature 
		o ask before removing group

* Mon Jul 28 2003 Daouda LO <daouda@mandrakesoft.com> 0.92-15mdk
- feature add-ons:
   o ask before removing user. Choices to delete HomeDir and Spool 
     mail file
   o Choose icon to be displayed in kdm/mdkkdm when adding user
- Replace Combo boxes by Option Menu when Combo should'nt be editable.

* Fri Jul 25 2003 Daouda LO <daouda@mandrakesoft.com> 0.92-14mdk
- fix crash happening when tree selection get lost (by refresh action) 
  and edit or delete button is activated (found by David Baudens)

* Thu Jul 17 2003 Daouda LO <daouda@mandrakesoft.com> 0.92-13mdk
- change date format (YYYY/MM/DD)
- Use SpinButton to display date format (autoset with current date)
- Cosmetic changes (stock icons everywhere, fix a locale fr typo)

* Wed Jul 16 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.92-12mdk
- use stock icons in menus

* Tue Jul 15 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.92-11mdk
- still more stock items

* Mon Jul 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.92-10mdk
- buildrequires

* Thu Jul 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.92-9mdk
- use stock items

* Thu Jul 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.92-8mdk
- more gtk2-perl-xs port fixes

* Thu Jul 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.92-7mdk
- fix embedding in mcc

* Thu Jul 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.92-6mdk
- fix gtk2-perl-xs port

* Wed Jul  9 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.92-5mdk
- convert from gtk2-perl to gtk2-perl-xs
- stop reinventing the wheel: reuse existent infrastructure instead of
  duplicating it

* Fri Jul  4 2003 Daouda LO <daouda@mandrakesoft.com> 0.92-4mdk
- Status of user account (Locked or Expired) displayed in main window
- Keystroke features: 
		o Space bar and Enter key to select deselect user/group
		o Enter Key to perform filtering
		o Ctrl+Q to Quit (titi)
- sanity checks

* Tue Jul  1 2003 Daouda LO <daouda@mandrakesoft.com> 0.92-3mdk
- include link in %%files
- disable warnings when releasing (debug purpose)

* Fri Jun 27 2003 Daouda LO <daouda@mandrakesoft.com> 0.92-2mdk
- added POs.
- fixed set_active bug on undefined widget (italian and dutch locale): need testing.
- sanity check (users that don't belong to any group)
- Check the context before enumerating users (avoir die assertion in gtk)
- link %%_bindir/userdrake to %%_sbindir/userdrake (for normal users and drakconf)
- remove trailing rm -rf %%{buildroot} after %%setup (Per Oyvind)

* Mon Jun 23 2003 Daouda LO <daouda@mandrakesoft.com> 0.92-1mdk
- Rewriting of userdrake with many features (Check RELEASE_NOTES files)
- perl-Gtk2 port.
- Use of libuser facility through xs.
